#
# spec file for package performous
#
# Copyright (c) 2011-2019 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

%define version_unconverted 1.1+git20190701.9928c27b

Name:           performous
Version:        1.1+git20190701.9928c27b
Release:        lp150.1.3
License:        GPL-2.0+
Summary:        An open-source karaoke, band and dancing game
Url:            http://performous.org
Group:          Amusements/Games/Action/Arcade
Source:         performous-%{version}.tar.xz
Source1:        http://downloads.sourceforge.net/project/performous/ultrastar-songs-libre/3/ultrastar-songs-libre-3.zip
Source2:        README_SONG
BuildRequires:  cmake
BuildRequires:  cpp-netlib-devel
BuildRequires:  fdupes
BuildRequires:  gcc-c++
BuildRequires:  help2man
BuildRequires:  libboost_date_time-devel
BuildRequires:  libboost_filesystem-devel
BuildRequires:  libboost_iostreams-devel
BuildRequires:  libboost_locale-devel 
BuildRequires:  libboost_program_options-devel
BuildRequires:  libboost_regex-devel
BuildRequires:  libboost_system-devel
BuildRequires:  libboost_thread-devel
BuildRequires:  libjpeg62-devel
BuildRequires:  pkgconfig(cpprest)
BuildRequires:  pkgconfig(epoxy)
BuildRequires:  pkgconfig(fontconfig)
BuildRequires:  pkgconfig(glm)
BuildRequires:  pkgconfig(jsoncpp)
BuildRequires:  pkgconfig(libavformat)
BuildRequires:  pkgconfig(libavresample)
BuildRequires:  pkgconfig(libavutil)
BuildRequires:  pkgconfig(libcrypto)
BuildRequires:  pkgconfig(librsvg-2.0)
BuildRequires:  pkgconfig(libssl)
BuildRequires:  pkgconfig(libswscale)
BuildRequires:  pkgconfig(libxml++-2.6)
BuildRequires:  pkgconfig(opencv)
BuildRequires:  pkgconfig(pangocairo)
BuildRequires:  pkgconfig(portaudio-2.0)
BuildRequires:  pkgconfig(sdl2)
BuildRequires:  portmidi-devel
BuildRequires:  unzip
BuildRequires:  update-desktop-files
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
An open-source karaoke, band and dancing game where one or more players perform a song and the game scores their performances.
Supports songs in UltraStar, Frets on Fire and StepMania formats. Microphones and instruments from SingStar,
Guitar Hero and Rock Band as well as some dance pads are autodetected.

%prep
%setup -q
cp %{S:2} .

%build
# set optflags
export CFLAGS="%{optflags}"
export CXXFLAGS="$CFLAGS"
mkdir build && cd build
cmake -DCMAKE_INSTALL_PREFIX=%{_prefix} \
      -DCMAKE_SKIP_RPATH=TRUE \
      -DCMAKE_VERBOSE_MAKEFILE=ON \
      -DCMAKE_BUILD_WITH_INSTALL_RPATH=FALSE \
      -DCMAKE_BUILD_TYPE=Release ..
make %{?_smp_mflags}

%install
cd build
%make_install
%suse_update_desktop_file -r %{name} Game ArcadeGame
%find_lang Performous
### TODO Put songs-libre in subpackage?
# add songs-libre
unzip %{S:1} -d %{buildroot}%{_datadir}/games/performous/

find %{buildroot} -ls
%fdupes -s %{buildroot}

%files -f build/Performous.lang
%defattr(-,root,root)
%doc docs/Authors.txt README_SONG
# binaries
%{_bindir}/performous
# menu entry
%{_datadir}/applications/performous.desktop
%{_datadir}/pixmaps
# man page
%{_mandir}/man6/performous.6%{?ext_man}
# game data
%{_datadir}/games/performous
%changelog
* Sun Jul 14 2019 malcolmlewis@opensuse.org
- Update to version 1.1+git20190701.9928c27b:
  * Update DroidSansMono.
  * Remove note about the need to configure .hh ext manually in
    POEdit.
  * Font: Add `caroncomb` and `caroncomb.alt`glyphs.
  * Game feedback should be localized.
  * Moved logic to webserver class and making use of notifications
    now to show correct ip/port.
  * Properly use 'USEWEBSERVER' to make build without webserver
    and cache work again.
  * Changed path/system-songs to contain system songs paths..
    instead of vice versa with path/songs. Check both user songs
    and system songs aswell.
  * Use correct namespace for opencv constants.
  * Hide 'wait for grading' when no mics are configured. Added 2
    new messages.
- Update build requires for additional boost, cpprest, fdupes and
  glm development files.
- Drop version requires on libavformat, libavresample, libavutil
  and libswscale.
* Mon Apr  4 2016 olaf@aepfle.de
- Update to git snapshot to fix build with libxml++ 2.40
* Tue Sep 22 2015 olaf@aepfle.de
- Use pkgconfig for ffmpeg BuildRequires
* Wed Jan  9 2013 fisiu@opensuse.org
- Update to 0.7.0:
  * Full duet support (SingStar xml, UltraStar txt and Frets on
    Fire format)
  * High-pitched soprano voice is now detected properly
  * Modern rendering pipeline (OpenGL >= 2.1 required)
  * Stereo3D mode (Anaglyph glasses, top/bottom, experimental HDMI
    1.4 support, requires OpenGL >= 3.3)
  * Asynchronous texture loading
  * Instrument type configuration via settings menu
  * More USB devices autodetected
  * MIDI drum mapping is now configurable
  * Improved webcam support and compatibility
  * Configurable legacy charset (for non-UTF-8 songs)
  * Many minor fixes
* Tue May 17 2011 fisiu@opensuse.org
- set optflags and minor cmake's adjustments
* Mon May 16 2011 fisiu@opensuse.org
- add 2 ultrastar-songs-libre
* Mon May 16 2011 fisiu@opensuse.org
- initial package
